package cn.iocoder.yudao.module.energy.service.config;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.energy.controller.admin.config.vo.EnergyStationConfigPageReqVO;
import cn.iocoder.yudao.module.energy.controller.admin.config.vo.EnergyStationConfigSaveReqVO;
import cn.iocoder.yudao.module.energy.dal.dataobject.config.EnergyStationConfigDO;

public interface EnergyStationConfigService {
    Long createConfig(EnergyStationConfigSaveReqVO createReqVO);
    void updateConfig(EnergyStationConfigSaveReqVO updateReqVO);
    EnergyStationConfigDO getConfig(Long id);
    PageResult<EnergyStationConfigDO> getConfigPage(EnergyStationConfigPageReqVO pageReqVO);
    EnergyStationConfigDO getByStationId(Long stationId);
}
